"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// Local imports
const crunchCSPHeaderValue_1 = __importDefault(require("../src/lib/crunchCSPHeaderValue"));
describe('crunchCSPHeaderValue', () => {
    test('with single header', () => {
        const crunchedHeaders = (0, crunchCSPHeaderValue_1.default)({
            'base-uri': 'header-value',
        });
        expect(crunchedHeaders).toEqual('base-uri header-value;');
    });
    test('with multiple headers', () => {
        const crunchedHeaders = (0, crunchCSPHeaderValue_1.default)({
            'base-uri': 'header-value1',
            'child-src': 'header-value2',
        });
        expect(crunchedHeaders).toEqual('base-uri header-value1;child-src header-value2;');
    });
    test('with values array', () => {
        const crunchedHeaders = (0, crunchCSPHeaderValue_1.default)({
            'base-uri': [
                'header-value1',
                'header-value2',
            ],
        });
        expect(crunchedHeaders).toEqual('base-uri header-value1 header-value2;');
    });
    test('with mixed value types', () => {
        const crunchedHeaders = (0, crunchCSPHeaderValue_1.default)({
            'base-uri': 'header-value1',
            'child-src': [
                'header-value2',
                'header-value3',
            ],
        });
        expect(crunchedHeaders).toEqual('base-uri header-value1;child-src header-value2 header-value3;');
    });
});
