"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// Local imports
const crunchFeaturePolicyHeader_1 = __importDefault(require("../src/lib/crunchFeaturePolicyHeader"));
describe('crunchFeaturePolicyHeader', () => {
    test('with single header', () => {
        const crunchedHeaders = (0, crunchFeaturePolicyHeader_1.default)({
            'header-name': 'header-value',
        });
        expect(crunchedHeaders).toEqual('header-name header-value;');
    });
    test('with multiple headers', () => {
        const crunchedHeaders = (0, crunchFeaturePolicyHeader_1.default)({
            'header-name1': 'header-value1',
            'header-name2': 'header-value2',
        });
        expect(crunchedHeaders).toEqual('header-name1 header-value1;header-name2 header-value2;');
    });
    test('with values array', () => {
        const crunchedHeaders = (0, crunchFeaturePolicyHeader_1.default)({
            'header-name': [
                'header-value1',
                'header-value2',
            ],
        });
        expect(crunchedHeaders).toEqual('header-name header-value1 header-value2;');
    });
    test('with mixed value types', () => {
        const crunchedHeaders = (0, crunchFeaturePolicyHeader_1.default)({
            'header-name1': 'header-value1',
            'header-name2': [
                'header-value2',
                'header-value3',
            ],
        });
        expect(crunchedHeaders).toEqual('header-name1 header-value1;header-name2 header-value2 header-value3;');
    });
});
